Bug 885467 - Re-Review Request: pdfedit (orphaned) - A complete pdf document editing solution
Summary: Re-Review Request: pdfedit (orphaned) - A complete pdf document editing solution
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dan Horák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-09 16:28 UTC by Kai Engert (:kaie) (inactive account)
Modified: 2013-01-12 15:24 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-12 00:34:35 UTC
dan: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Kai Engert (:kaie) (inactive account) 2012-12-09 16:28:03 UTC
pdfedit is still in Fedora Git master.
Let's resurrect it.
I fixed the compiler build problem.

Spec URL: http://kuix.de/fedora/pdfedit.spec
SRPM URL: http://kuix.de/fedora/pdfedit-0.4.5-5.fc17.src.rpm
Description: pdf editor
Fedora Account System Username: kengert

Comment 1 Dan Horák 2012-12-09 17:04:24 UTC
formal review is here, see the notes explaining OK* and BAD statuses below:

OK      source files match upstream:
            fd85ecd43667ffbc2e644ac6c72be5dea6104ac4  pdfedit-0.4.5.tar.bz2
OK      package meets naming and versioning guidelines.
OK*     specfile is properly named, is cleanly written and uses macros consistently.
OK      dist tag is present.
OK      license field matches the actual license.
OK      license is open source-compatible (GPLv2). License text included in package.
OK      latest version is being packaged.
OK*     BuildRequires are proper.
OK      compiler flags are appropriate.
OK      package builds in mock (Rawhide/x86_64).
OK      debuginfo package looks complete.
OK*     rpmlint is silent.
OK      final provides and requires look sane.
N/A     %check is present and all tests pass.
OK      no shared libraries are added to the regular linker search paths.
OK      owns the directories it creates.
OK      doesn't own any directories it shouldn't.
OK      no duplicates in %files.
OK      file permissions are appropriate.
BAD     correct scriptlets present.
OK      code, not content.
OK      documentation is small, so no -docs subpackage is necessary.
OK      %docs are not necessary for the proper functioning of the package.
OK      no headers.
OK      no pkgconfig files.
OK      no libtool .la droppings.
OK      is a GUI app with desktop file

- you can drop the %clean section, the rm -rf $RPM_BUILD_ROOT command in %install and the %defattr() in %files, rpm does it automagically since RHEL-6 and F-12
- you can use motif on Fedora >= 17 (the real thing, Provides also "openmotif") instead of lesstif, so another %ifdef gone (and I prefer one BuildRequires: per line, but naturally not a blocker)
- rpmlint complains a bit
    the spelling errors for pdf and GUI are false positives, maybe PDF could be used instead
    reports incorrect FSF address in some files
    %{_docdir}, %{name} and %{version} macros used in a comment on line 55
    => can be ignored
- the icon-cache scriptlets should be updated to the actual version http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache
- the ABRT config file should be reviewed if it still matches the actual ABRT

Comment 2 Kai Engert (:kaie) (inactive account) 2012-12-09 17:47:48 UTC
> you can use motif on Fedora >= 17 (the real thing, Provides also
> "openmotif") instead of lesstif, so another %ifdef gone

If your intention is to remove ifdefs, I conclude we should use
  BuildRequires:  openmotif-devel
because you say that works everywhere inluding RHEL.

Comment 3 Kai Engert (:kaie) (inactive account) 2012-12-09 17:55:43 UTC
> - the ABRT config file should be reviewed if it still matches the actual ABRT

I never used ABRT before.
The contents of the script are just one line:
  EVENT=post-create component=pdfedit rm *

That seems to be aligned
with the syntax description
at https://fedorahosted.org/abrt/wiki/AbrtConfiguration

Comment 4 Dan Horák 2012-12-09 17:59:46 UTC
all issues are fixed now, APPROVED

Comment 5 Kai Engert (:kaie) (inactive account) 2012-12-09 18:10:26 UTC
Thanks for Ryan Lewis, who agreed by email with me taking over ownership for now.

Comment 6 Kai Engert (:kaie) (inactive account) 2012-12-09 18:13:13 UTC
Package Change Request
======================
Package Name: pdfedit
New Branches: f17 f18 f19
Owners: kengert
InitialCC: rhl tremble

Package already exists in f16 and master.
Can you please transfer ownership of f16+master to me?
Thanks

Comment 7 Gwyn Ciesla 2012-12-10 13:37:59 UTC
Can you have Ryan orphan those branches?

Comment 8 Gwyn Ciesla 2012-12-10 13:38:25 UTC
Git done (by process-git-requests).

Comment 9 Kai Engert (:kaie) (inactive account) 2012-12-10 14:21:08 UTC
(In reply to comment #7)
> Can you have Ryan orphan those branches?

Jon, I'd like to take over ownership.

What exactly must Ryan (rhl) do to transfer ownership of master and f16 to me?

Thank you

Comment 10 Michael Schwendt 2012-12-10 14:30:47 UTC
Ryan can log in at

  https://admin.fedoraproject.org/pkgdb/acls/name/pdfedit

and click the "Release Ownership" button for every branch. That will orphan the package, and a "Take Ownership" button will appear. Alternatively, he logs in and approves the "commit" and "approveacls" requests for a co-maintainer.

Comment 11 Fedora Update System 2013-01-02 14:11:11 UTC
pdfedit-0.4.5-6.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/pdfedit-0.4.5-6.fc18

Comment 12 Fedora Update System 2013-01-02 14:11:38 UTC
pdfedit-0.4.5-6.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/pdfedit-0.4.5-6.fc17

Comment 13 Fedora Update System 2013-01-02 20:21:17 UTC
pdfedit-0.4.5-6.fc18 has been pushed to the Fedora 18 testing repository.

Comment 14 Fedora Update System 2013-01-12 00:34:37 UTC
pdfedit-0.4.5-6.fc18 has been pushed to the Fedora 18 stable repository.

Comment 15 Fedora Update System 2013-01-12 15:24:08 UTC
pdfedit-0.4.5-6.fc17 has been pushed to the Fedora 17 stable repository.


Note You need to log in before you can comment on or make changes to this bug.